Package org.globus.io.urlcopy

# Interface UrlCopyListener

public interface UrlCopyListener

## Method Summary

Modifier and Type
Method
Description
`void`
`transfer(long transferedBytes, long totalBytes)`
This function is contniuosly called during url transfers.
`void`
`transferCompleted()`
This function is called once the transfer is completed either successfully or because of a failure.
`void`
`transferError(Exception exception)`
This function is called only when an error occurs.

## Method Details

### transfer

void transfer(long transferedBytes, long totalBytes)
This function is contniuosly called during url transfers.

Parameters:
  `transferedBytes` - number of bytes currently trasfered if -1, then performing thrid party transfer
  `totalBytes` - number of total bytes to transfer if -1, the total size in unknown.

### transferError

void transferError(Exception exception)
This function is called only when an error occurs.

Parameters:
  `exception` - the actual error exception

### transferCompleted

void transferCompleted()
This function is called once the transfer is completed either successfully or because of a failure. If an error occurred during the transfer the transferError() function is called first.